[oe] [PATCH] gpm-1.99.7: Add recipe.

Khem Raj raj.khem at gmail.com
Wed Jun 23 01:42:34 UTC 2010


Signed-off-by: Khem Raj <raj.khem at gmail.com>
---
 recipes/gpm/gpm-1.99.7/init          |   32 ++++++++++++++++++++++++++++++++
 recipes/gpm/gpm-1.99.7/no-docs.patch |   18 ++++++++++++++++++
 recipes/gpm/gpm_1.99.7.bb            |   30 ++++++++++++++++++++++++++++++
 3 files changed, 80 insertions(+), 0 deletions(-)
 create mode 100644 recipes/gpm/gpm-1.99.7/init
 create mode 100644 recipes/gpm/gpm-1.99.7/no-docs.patch
 create mode 100644 recipes/gpm/gpm_1.99.7.bb

diff --git a/recipes/gpm/gpm-1.99.7/init b/recipes/gpm/gpm-1.99.7/init
new file mode 100644
index 0000000..f90fce9
--- /dev/null
+++ b/recipes/gpm/gpm-1.99.7/init
@@ -0,0 +1,32 @@
+#! /bin/sh  
+
+# Grab the common functions
+#. /etc/init.d/functions
+
+# FIXME: 
+# Add a configuration file for GPM here
+
+test -x /usr/sbin/gpm || exit 0
+
+case "$1" in
+  start)
+    if [ ! -p /dev/gpmdata ]; then
+    	mkfifo /dev/gpmdata
+    fi
+
+    echo "Starting GPM:" 
+    start-stop-daemon -S -x /usr/sbin/gpm -- -R -m /dev/psaux -t ps2
+    ;;
+  stop)
+    echo "Stopping GPM:" 
+    start-stop-daemon -K -x /usr/sbin/gpm
+    ;;
+  restart|force-reload) 
+    $0 stop
+    $0 start
+    ;;
+  *)
+    usage /etc/init.d/gpm
+esac
+
+exit 0
diff --git a/recipes/gpm/gpm-1.99.7/no-docs.patch b/recipes/gpm/gpm-1.99.7/no-docs.patch
new file mode 100644
index 0000000..f10217a
--- /dev/null
+++ b/recipes/gpm/gpm-1.99.7/no-docs.patch
@@ -0,0 +1,18 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+Index: gpm-1.99.7/Makefile.in
+===================================================================
+--- gpm-1.99.7.orig/Makefile.in	2008-07-24 03:36:35.000000000 -0700
++++ gpm-1.99.7/Makefile.in	2010-06-22 18:28:45.269507001 -0700
+@@ -19,7 +19,7 @@
+ # user-overridable flags, but it's also all the implicit rule looks at.
+ # missing ?
+ 
+-SUBDIRS = src doc contrib gpm2
++SUBDIRS = src
+ 
+ 
+ ### simple, but effective rules
diff --git a/recipes/gpm/gpm_1.99.7.bb b/recipes/gpm/gpm_1.99.7.bb
new file mode 100644
index 0000000..bc24472
--- /dev/null
+++ b/recipes/gpm/gpm_1.99.7.bb
@@ -0,0 +1,30 @@
+DESCRIPTION = "GPM (General Purpose Mouse) is a mouse server \
+for the console and xterm, with sample clients included \
+(emacs, etc)."
+SECTION = "console/utils"
+LICENSE = "GPL"
+DEPENDS = "ncurses"
+
+PR = "r0"
+
+SRC_URI = "ftp://arcana.linux.it/pub/gpm/gpm-${PV}.tar.bz2 \
+	   file://no-docs.patch \
+	   file://init"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "gpm"
+INITSCRIPT_PARAMS = "defaults"
+
+#export LIBS = "-lm"
+
+do_install () {
+	oe_runmake 'ROOT=${D}' install
+	install -m 0644 src/headers/gpm.h ${D}${includedir}
+	install -d ${D}/${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/init ${D}/${sysconfdir}/init.d/gpm
+	cd ${D}${libdir} && ln -sf libgpm.so.1.19.0 libgpm.so.1
+}
+SRC_URI[md5sum] = "9fdddf5f53cb11d40bb2bb671d3ac544"
+SRC_URI[sha256sum] = "6071378b24494e36ca3ef6377606e7e565040413c86704753a162d2180af32ee"
+
-- 
1.7.1





More information about the Openembedded-devel mailing list